data:
- __class__:
    module: tmt.steps.prepare.shell
    name: PrepareShellData
  how: shell
  name: default-0
  order: 50
  ref: null
  script:
  - "# Archive logs to TMT_PLAN_DATA for post-test analysis\nmkdir -p \"/var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs\"\n\n#
    Copy audit logs (SELinux denials, audit events)\nif [ -f /var/log/audit/audit.log
    ]; then\n    cp /var/log/audit/audit.log \"/var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/\"\n
    \   echo \"Audit logs copied to /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/audit.log\"\nelse\n
    \   echo \"No audit log found at /var/log/audit/audit.log\"\nfi\n\n# Capture full
    journal (current boot only)\njournalctl -b --no-pager --all --output=short-precise
    &> \"/var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/journal.log\"\necho
    \"Journal output saved to /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/journal.log\"\n\necho
    \"All logs archived to /var/ARTIFACTS/work-local-rootlessa_2kq5lh/plans/system/local-rootless/data/logs/\"\n"
  summary: null
  url: null
  when: []
  where: []
status: done
